import { AfterViewInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Store } from '@s-libs/app-state';
import * as i0 from "@angular/core";
export declare class NasModelDirective<T> implements AfterViewInit, OnDestroy {
    #private;
    constructor(valueAccessors: ControlValueAccessor[]);
    set nasModel(store: Store<T> | null);
    set disabled(isDisabled: boolean | null);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NasModelDirective<any>, [{ self: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NasModelDirective<any>, "[nasModel]", never, { "nasModel": { "alias": "nasModel"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, false, never>;
}
